MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000457VCMIOtherpublic2010-05-23 10:132010-05-26 22:11
Reporteranonymous 
Assigned ToTow 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionno change required 
Platformi586OSUbuntuOS Version10.04
Product Version0.8 
Target VersionFixed in Version 
Summary0000457: Compile om Ubuntu 10/04 fails.
DescriptionI can\'t compile VCMI on my Ubuntu 10.04 It fails with
[code] checking for exit in -lboost_system... no configure: error: Could not link against boost_system ! [/code]
Maybe, it\'s because newer version of libboost -1.40?
Steps To Reproducecompile it with the instructions from Readme.linux, changing libboost1.38 on libboost1.40 on Ubuntu 10.04
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000870)
Ivan (developer)
2010-05-24 00:20

>> error: Could not link against boost_system

You need not only boost itself but some extra libraries as well. Install these packages:

libboost-filesystem-dev
libboost-iostreams-dev
libboost-system-dev
libboost-thread-dev

For some reason this info not present in readme.
(0000871)
anonymous (viewer)
2010-05-25 09:52

Thank you, Ivan. It have compiled with your advice.

- Issue History
Date Modified Username Field Change
2010-05-23 10:13 anonymous New Issue
2010-05-24 00:20 Ivan Note Added: 0000870
2010-05-25 09:52 anonymous Note Added: 0000871
2010-05-25 09:52 anonymous Status new => feedback
2010-05-26 22:11 Tow Status feedback => closed
2010-05-26 22:11 Tow Assigned To => Tow
2010-05-26 22:11 Tow Resolution open => no change required

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2019 MantisBT Team
Hosting provided by DigitalOcean